# adopted from https://github.com/beeevita/EvoPrompt/blob/bf43b0dcc63fb79b7c0007d4693b2c0721e9a1a7/data/template_ga.py

GA_PROMPT = """
1. Cross over the following prompts and generate a new prompt:
Prompt 1: {prompt1}
Prompt 2: {prompt2}
2. Mutate the prompt generated in Step 1 and generate a final prompt bracketed with <prompt> and </prompt>.
"""

# NOTE that the phrase "Please follow ..." was removed since this is already part of our system message although model inputs will look slightly different though.
GA_DEMONSTRATION_DATA_SIM = {
    "prompt1": "Rewrite the input text into simpler text.",
    "prompt2": "Rewrite my complex sentence in simpler terms, but keep the meaning.",
    "generation_prefix": "1. ",
    "response": (
        "1. Crossover Prompt: Rewrite the complex text into simpler text while keeping its meaning.\n"
        "2. <prompt>Transform the provided text into simpler language, maintaining its essence.</prompt>"
    ),
}

GA_DEMONSTRATION_DATA_CLS = {
    "prompt1": "Your task is to classify the comment as one of the following categories: terrible, bad, okay, good, great.",
    "prompt2": "In this task, you are given sentences from movie reviews. The task is to classify a sentence as one of the following categories: terrible, bad, okay, good, great.",
    "generation_prefix": "1. ",
    "response": (
        "1. Crossover Prompt: In this task, you are given comments from movie reviews. Your task is to classify each comment as one of the following categories: terrible, bad, okay, good, great."
        "2. <prompt>Given a sentence from a movie review, classify it into one of the following categories: terrible, bad, okay, good, or great.</prompt>"
    ),
}
